/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casematerialsnorm.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casematerialsnorm.entity.CaseMaterialsNorm;
import com.jeeplus.modules.casematerialsnorm.dao.CaseMaterialsNormDao;

/**
 * 材料消耗量指标Service
 * @author liuw
 * @version 2018-02-07
 */
@Service
@Transactional(readOnly = true)
public class CaseMaterialsNormService extends CrudService<CaseMaterialsNormDao, CaseMaterialsNorm> {

	public CaseMaterialsNorm get(String id) {
		return super.get(id);
	}
	
	public List<CaseMaterialsNorm> findList(CaseMaterialsNorm caseMaterialsNorm) {
		return super.findList(caseMaterialsNorm);
	}
	
	public Page<CaseMaterialsNorm> findPage(Page<CaseMaterialsNorm> page, CaseMaterialsNorm caseMaterialsNorm) {
		return super.findPage(page, caseMaterialsNorm);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseMaterialsNorm caseMaterialsNorm) {
		super.save(caseMaterialsNorm);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseMaterialsNorm caseMaterialsNorm) {
		super.delete(caseMaterialsNorm);
	}
	
	
	
	
}